Search Gradle plugins

Version 1.30.0 (latest)

Created 14 February 2024.

A plugin to report mis-used dependencies in your JVM or Android project

Using the plugins DSL:

plugins {
  id("com.autonomousapps.dependency-analysis") version "1.30.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.autonomousapps:dependency-analysis-gradle-plugin:1.30.0")
  }
}

apply(plugin = "com.autonomousapps.dependency-analysis")

Using the plugins DSL:

plugins {
  id "com.autonomousapps.dependency-analysis" version "1.30.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.autonomousapps:dependency-analysis-gradle-plugin:1.30.0"
  }
}

apply plugin: "com.autonomousapps.dependency-analysis"

Learn how to apply plugins to subprojects